/*****************************************************************************/
/*									     */
/*									     */
/*	Xpack version 1.00 -- module score.c				     */
/*									     */
/*	Score computation and checking for finished levels.		     */
/*	Written by Michael Bischoff (mbi@mo.math.nat.tu-bs.de)		     */
/*	November-1994							     */
/*	see COPYRIGHT.xpack for Copyright details			     */
/*									     */
/*									     */
/*****************************************************************************/
#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE
#endif
#include "xpack.h"

void change_rules(const char *type) {
}

int compute_score(void) {
    int i;
    game.score = 0;
    for (i = 1; i <= P.totaltiles; ++i)
	if (P.position[i].x >= 0)
	    game.score += P.t[P.position[i].tilenr].score;

    {
	int x, y;
	int nused = 0, nfree = 0;

	for (y = 1; y <= P.t[0].height; ++y)
	    for (x = 1; x <= P.t[0].width; ++x)
		if (P.board[y][x] == 0)
		    ++nfree;
		else    if (P.board[y][x] > 0)
		    ++nused;
	return nfree;
    }
}

int finished(void) {
    game.finished = 0;
    (void)compute_score();
    cmd_ShowScore();
    if (game.score == 1000)
	return game.finished = 1;
    return 0;
}
